import { OperationStatus, DeleteOperationAction, ClearOperationsAction, OperationAction } from './typedefs';
interface OperationActionCreator {
    <TData = any, TStatus = OperationStatus>(id: string, status?: TStatus, data?: TData): OperationAction<TData, TStatus | OperationStatus>;
}
export declare const createOperation: OperationActionCreator;
export declare const updateOperation: OperationActionCreator;
export declare const deleteOperation: (id: string) => DeleteOperationAction;
export declare const clearOperations: () => ClearOperationsAction;
export {};
