import { OpsState, Ops, Operation, OperationStatus } from './typedefs';
export declare function setReducerName(name: string): void;
export declare function getOpsState<T>(state: T): OpsState;
export declare function getOps<T>(state: T): Ops;
export declare function getOpById<T, TData, TStatus>(state: T, id: string): Operation<TData, TStatus | OperationStatus> | undefined;
export declare function searchOps<T, TData, TStatus>(state: T, query: RegExp): Operation<TData, TStatus | OperationStatus>[];
